<section class='panel' data-ng-controller="DiscountsController" ng-init="findOne()">
    <header class="panel-heading higher-panel-heading">
        Edit Discount
    </header>
    <div class="panel-body">
        <form class="form-horizontal row" name="form" role="form" data-ng-submit="update()" novalidate>
            <div class='col-md-12'>
                <div class="form-group">
                    <label class="col-md-2 control-label">Discount Code</label>
                    <div class="col-md-10">
                        <input type="text" class="form-control" data-ng-model="discount.code" id="code" placeholder="Discount code" value="{{discount.code}}" required>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-2 control-label">Price</label>
                    <div class="col-md-10">
                        <input type="number" class="form-control" data-ng-model="discount.price" id="price" value="{{discount.price}}" required>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-2 control-label">Percent</label>
                    <div class="col-md-10">
                        <input type="number" class="form-control" data-ng-model="discount.percent" id="percent" value="{{discount.percent}}" required>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-2 control-label">Service</label>
                    <div class="col-md-10">
                      <ui-select ng-model="discount.services" theme="select2" style="width: 100%;" multiple>
                        <ui-select-match placeholder="Select a service...">{{$item.label}}</ui-select-match>
                        <ui-select-choices group-by="groupByCategory" repeat="service.value as service in services | propsFilter: {label: $select.search}">
                          <div ng-bind-html="service.label | highlight: $select.search"></div>
                        </ui-select-choices>
                      </ui-select>
                    </div>
                </div>

                <div class='form-group'>
                    <label class='col-md-2 control-label'>Minimum price</label>
                    <div class='col-md-10'>
                        <input type='price' class='form-control' data-ng-model='discount.min_price' id='min_price'>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-offset-6 col-md-3">
                      <button type="button" class="btn btn-info btn-lg btn-block" ng-click="remove()" ng-disabled="disableButton">Remove Discount</button>
                    </div>
                    <div class="col-md-3">
                      <button type="submit" class="btn btn-info btn-lg btn-block" ng-disabled="disableButton">Save Discount</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</section>
